/* styles.css */

body {
    background-color: #ffffff;
    color: #000000;
    font-family: 'Courier New', Courier, monospace;
    margin: 0;
    padding: 0;
}

#topbar {
    background-color: #409ad6;
    display: flex;                  /* establish flex topbar */
    flex-direction: row;            /* default value; can be omitted */
    flex-wrap: nowrap;              /* default value; can be omitted */
    justify-content: space-between; /* switched from default (flex-start, see below) */
}
#topbar > div {
    width: 300px;
    height: 30px;
}

#main {
    height: 900px;
    text-align: center;
}

#nav{
    background-color: #409ad6;
    height:900px;
    width:150px;
    float:left;
}

/* Style the sidenav links and the dropdown button */
.sidenav button, .dropdown-btn {
    padding: 6px 8px 6px 16px;
    text-decoration: none;
    font-size: 20px;
    color: #000000;
    display: block;
    border: none;
    background: none;
    width:100%;
    text-align: left;
    cursor: pointer;
    outline: none;
  }
  
  /* On mouse-over */
  .sidenav button:hover, .dropdown-btn:hover {
    color: #f1f1f1;
  }

  .dropdown-container {
    display: none;
    background-color: #49b0f5;
    padding-left: 8px;
  }
  
  /* Optional: Style the caret down icon */
  .fa-caret-down {
    float: right;
    padding-right: 8px;
  }

#footer{
    background-color: #409ad6;
    color: #000000;
    clear: both;
    text-align: center;
    padding: 20px;
   }

h1 {
    text-align: center;
}

form {
    text-align: center;
    margin-top: 50px;
}

label {
    display: block;
    margin-bottom: 10px;
}

input[type="text"] { 
    padding: 8px;
    font-size: 16px;
    border: 2px solid #409ad6;
    background-color: #a2dcf7;
    color: #000000;
}

input[type="password"] { 
    padding: 8px;
    font-size: 16px;
    border: 2px solid #409ad6;
    background-color: #a2dcf7;
    color: #000000;
}

button[type="submit"] {
    padding: 10px 20px;
    background-color: #409ad6;
    color: #000000;
    border: none;
    cursor: pointer;
    font-size: 16px;
    margin-top: 20px; 
}

button[type="submit"]:hover {
    background-color: #33ace4;
}

button[type="button"] {
    padding: 10px 20px;
    background-color: #409ad6;
    color: #000000;
    border: none;
    cursor: pointer;
    font-size: 16px;
    margin-top: 20px; 
}

datalist {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 200px;
}

option {
    padding: 0;
}

input[type="range"] {
    width: 200px;
    margin: 0px;
}

table {
    border: 2px solid;
}

th,
td {
    border: 1px solid;
}
